#
# spec file for package python-iniparse
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%if 0%{?suse_version}
%define dist suse%{?suse_version}
%endif

Name:           python-iniparse
Version:        0.4
Release:        1.1.%{?dist}
Summary:        Python Module for Accessing and Modifying Configuration Data in INI files
License:        MIT
Group:          Development/Libraries/Python
Url:            http://code.google.com/p/iniparse/
Source:         http://iniparse.googlecode.com/files/iniparse-%{version}.tar.gz
# PATCH-FIX-UPSTREAM: speilicke@suse.com -- Backport of https://code.google.com/p/iniparse/issues/detail?id=31
Patch0:         iniparse-insert-after-commented-option.patch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
iniparse is an INI parser for Python which is API compatible with the
standard library's ConfigParser, preserves structure of INI files
(order of sections & options, indentation, comments, and blank lines
are preserved when data is updated), and is more convenient to use.

%prep
%setup -q -n iniparse-%{version}
%patch0 -p0
chmod 644 html/index.html
sed -i "/.*test_multiprocessing.*/d" tests/__init__.py # NOTE(saschpe): Doesn't work and I'm lazy

%build
python setup.py build

%install
python setup.py install --root %{buildroot} --prefix=%{_prefix}
rm -rf %{buildroot}%{_datadir}/doc/iniparse-%{version} # Remove unwanted stuff

%check
python runtests.py

%files
%defattr(-,root,root,-)
%doc Changelog LICENSE LICENSE-PSF README html/*
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon May 27 2013 speilicke@suse.com
- Add iniparse-insert-after-commented-option.patch: See
  https://code.google.com/p/iniparse/issues/detail?id=31 for details
- Run testsuite
* Thu Feb 23 2012 berendt@b1-systems.de
- added missing build requirement python-devel for SLE
* Tue Jan 31 2012 saschpe@suse.de
- Spec file cleanup:
  * Simplified macro usage
  * Removed outdated %%clean section
  * Buildrequire python-distribute instead of setuptools
* Thu Sep 16 2010 coolo@novell.com
- update to 0.4
  * Fixed pickling and multiprocessing bugs
  * Enabled auto-addition of config attributes via square bracket
    syntax
  * Utility function to tidy INI files
  * Ability to change comment syntax for parsing Mercurial config
    files
  * Added ConfigParser exceptions and constants to the top-level
    iniparse module
* Wed Aug  5 2009 matejcik@suse.cz
- update to 0.3.1
  * minor bugfixes
  * better multi-line handling
* Wed Jan  7 2009 cthiel@suse.de
- initial package (version 0.2.4)
